<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\SupervisingsTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\SupervisingsTable Test Case
 */
class SupervisingsTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\SupervisingsTable
     */
    public $Supervisings;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.supervisings',
        'app.schooltypes',
        'app.departments',
        'app.examinations',
        'app.subjects'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('Supervisings') ? [] : ['className' => 'App\Model\Table\SupervisingsTable'];
        $this->Supervisings = TableRegistry::get('Supervisings', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->Supervisings);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     */
    public function testBuildRules()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
